$textcolorglobal: #e7dfdd
$background: #0e0b16
$accentfuschia:#A239CA
$backgroundaccent: rgba(71,23,246,0.4)
// $accentfuschia:#4717F6
$accentpurple:#4717F6
// $aceentyellow:#FFFC00
$fontglobal:  'Segoe UI', Tahoma, Geneva, Verdana, sans-serif
$fontheader: 'IBM Plex Sans Condensed','Segoe UI', Tahoma, Geneva, Verdana, sans-serif
//'IBM Plex Sans Condensed', 'Poppins',
body
  margin: 0
  color: $textcolorglobal
  font-family: $fontglobal
  background-color: $background
.landing
  height: 100vh
  display: block
  .backgroundgradient
    background: linear-gradient(to bottom right, $backgroundaccent, rgba(0,0,0,0.8))
    height: 100%
    width: 100%
    background-size: 200% 200%
    position: absolute
    z-index: 0
    animation: bg 10s ease infinite


  .profile
    margin: 0 auto
    padding-left: 2em
    padding-right: 2em
    padding-top: 2em
    position: relative
    z-index: 1
    h1
      font-family: $fontheader
      color: $textcolorglobal
      font-size: 1.8em
      margin-bottom: 0px
      margin: 0
    h2
      margin-top: 0px
      margin-bottom: 30px
      font-size: 0.9em
      font-weight: normal
      font-style: italic
    p
      font-size: 1em
      // width: 50%
      background: transparent
      margin: 0
      margin-bottom: 15px
      a
        position: relative
        color: $textcolorglobal
        display: inline
        font-weight: bold
        text-decoration: none
        overflow: hidden
        z-index: 0
        white-space: nowrap
      .linkeffect
        content: ''
        height: 5px
        width: 100%
        background-color: $accentfuschia
        transition: height 0.3s, opacity 0.3s
        display: inline-block
        position: absolute
        bottom: 0
        opacity: 0.8
        z-index: -1
        // margin-left: 2px
        padding-left: 1px
        padding-right: 1px
        
      a:hover > .linkeffect
        height: 100%
    button
      padding: 1em
      // width: 100%
      left: 0
      right: 0
      border: 5px
      opacity: 1
      background-color: $accentpurple
      color: $textcolorglobal
      transform: skew(-15deg)
      margin: 0 auto
      position: absolute
      transition: background-color 0.3s

      display: inline-block
      div
        transform: skew(15deg)
        font-family: $fontglobal
        font-size: 1.3em
        font-weight: bold
    
    button:hover
      background-color: $accentfuschia

main



@keyframes bg 
  0%
    background-position: 0% 50%
  50%
    background-position: 100% 50%
  100%
    background-position: 0% 50%


@media only screen and (min-width: 350px)
  .landing
    .profile
      padding-top: 4em
      p
        font-size: 1.2em
      h1
        font-size: 2.5em
      button
        margin-top: 2em
    

@media only screen and (min-width: 600px)
  .landing
    .profile
      max-width: 550px

      padding-top: 6em
      p
        font-size: 1.4em
        margin-bottom: 20px
      h1
        font-size: 4em
      h2
        margin-left: 10px


@media only screen and (min-width: 1000px)
  .landing
    .profile
      max-width: 600px
      padding: 0
      padding-top: 10em
      margin-left: 10em
      p
        font-size: 1.4em
      h1
        font-size: 4em
      h2
        margin-left: 10px
        font-size: 1em
      button
        left: auto
        right: 5em